<div class="results-page">
  <div class="actions">
    <a routerLink="/idemg" routerLinkActive="active" mat-button>
      <mat-icon>arrow_back</mat-icon>
      Results
    </a>

    <button mat-flat-button class="secondary-btn" (click)="export2LAS()">
      <mat-icon class="mat-icon-rt-mirror">reply</mat-icon>
      Export to LAS
    </button>
  </div>
  <div class="page-content">
    <div class="filters-wrap">
      <mat-checkbox [(ngModel)]="filters.Vc" (ngModelChange)="onFiltersUpdate()">Vc</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.Vs" (ngModelChange)="onFiltersUpdate()">Vs</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.E" (ngModelChange)="onFiltersUpdate()">E</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.u" (ngModelChange)="onFiltersUpdate()">u</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.K" (ngModelChange)="onFiltersUpdate()">K</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.PR" (ngModelChange)="onFiltersUpdate()">PR</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.Pwave" (ngModelChange)="onFiltersUpdate()">P-wave</mat-checkbox>
      <mat-checkbox [(ngModel)]="filters.Lambda" (ngModelChange)="onFiltersUpdate()">lambda</mat-checkbox>
    </div>

    <idemg-line-chart [data]="chart" (legendClick)="openUpdateValuesDialog($event)"></idemg-line-chart>
  </div>
  <div class="content-loading" *ngIf="isLoading">
    <gng-spinner></gng-spinner>
  </div>
</div>
